﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HospitalDataModels.Models;

namespace HospitalContracts.ViewModels
{
    public class PatientViewModel
    {
        public int Id { get; set; }

        [DisplayName("ФИО")]
        string FIO { get; }

        [DisplayName("Дата рождения")]
        DateOnly BirthDate { get; }

        [DisplayName("Адрес")]
        string Adress { get; }

        public int DoctorId { get; set; }

        public Dictionary<int, IProcedureModel> PatientProcedures { get; set; } = new();

        public Dictionary<int, IRecipeModel> PatientRecipes { get; set; } = new();

    }
}
